Package com.sun.jna.platform.win32

## Class WinNT.TOKEN_TYPE

- java.lang.Object
- - com.sun.jna.platform.win32.WinNT.TOKEN_TYPE

Enclosing interface:
  WinNT

    public abstract static class WinNT.TOKEN_TYPE
    extends java.lang.Object

The TOKEN_TYPE enumeration type contains values that differentiate between a primary token and an impersonation token.

### Field Summary

Fields
`static int` `TokenImpersonation`
`static int` `TokenPrimary`

### Constructor Summary

Constructors
`TOKEN_TYPE()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### TokenPrimary

    public static final int TokenPrimary

See Also:
  Constant Field Values

#### TokenImpersonation

    public static final int TokenImpersonation

See Also:
  Constant Field Values

### Constructor Detail

#### TOKEN_TYPE

    public TOKEN_TYPE()